Package org.apache.sysds.runtime.instructions.spark.functions

## Class CreateSparseBlockFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.CreateSparseBlockFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`

    public class CreateSparseBlockFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>

General purpose copy function for binary block values. This function can be used in mapValues (copy matrix blocks) to change the internal sparse block representation. See CopyMatrixBlockFunction if no change of SparseBlock.Type required.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CreateSparseBlockFunction​(SparseBlock.Type stype)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call​(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateSparseBlockFunction

    public CreateSparseBlockFunction​(SparseBlock.Type stype)

### Method Detail

#### call

    public MatrixBlock call​(MatrixBlock arg0)
                     throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,​MatrixBlock>`
Throws:
  `Exception`